1. skip2k5's Avatar
    hey i just got a iphone from my friend, its stuck on the itunes screen and he told me it was on 3.1.3 before..how can i unlock/jailbreak the phone?..i tried redsn0w and it wont recognize the 3.1.3 i dled for 3g..can any one help thanks.
    2010-07-16 10:32 AM
  2. cold4ire's Avatar
    was it jailbroken on 3.1.3 or 3.1.2? if so then, download the ipsw on your desktop and shift and restore in itunes.
    2010-07-16 11:15 AM
  3. Will01's Avatar
    If it's just a standard 3G (not an [S]) you could use redsn0w 0.9.4 to JB that, download a 3.1.2 FW (even tho it's on 3.1.3 - redsn0w just extract's some files from it) and it will JB and hacktivate that device on 3.1.3.
    2010-07-16 03:44 PM
  4. skip2k5's Avatar
    Thanks for the replys I got it workin with redsnow...if I update to 4.1 can I jailbrake/unlock that version?
    2010-07-19 09:08 AM
  5. Will01's Avatar
    Yes, 4.0.1 can be jailbroken on a 3G, see Redmond Pie for a how to, but I do suggest you don't as 4.0 is a major hog on a 3G and slows it down dramatically.
    2010-07-19 01:14 PM
  6. ronr179's Avatar
    Yes, 4.0.1 can be jailbroken on a 3G, see Redmond Pie for a how to, but I do suggest you don't as 4.0 is a major hog on a 3G and slows it down dramatically.
    Yes just like he said when you upgrade to 4.0 or above it is so SLOW. But it can be done just did my GF earlier today. Im trying to downgrade it back to 3.1.3 but nothing but errors in itunes. But if you really want to use 4.0.1 Jb with redsn0w 0.9.5b5-5 download 4.0 fw use this 4.0 fw when asked to browse for ispw and follow the instructions. If you are unlocking it for t-mobile you will need to add a source in cydia. To be able send and recive mms. If you need the source let me know and i will post it.
    2010-07-19 01:50 PM
  7. Will01's Avatar
    Which errors do you get during downgrade?

    Chances are we can get you around them.
    2010-07-19 02:14 PM
  8. x ZackehSoul x's Avatar
    Jailbreaking on 4.0 is generally a bad idea, as most of the Cydia apps haven't actually got 4.0 support yet, and don't work properly
    2010-07-19 08:41 PM
LINK TO POST COPIED TO CLIPBOARD